<?php

require_once "../controladores/transacciones.controlador.php";
require_once "../modelos/transacciones.modelo.php";

/*=============================================
OBTENER UNA TRANSACCIÓN POR ID (AJAX para editar)
=============================================*/
if (isset($_POST["idTransaccion"])) {

    $respuesta = ControladorTransacciones::ctrMostrarUnaTransaccion($_POST["idTransaccion"]);
    echo json_encode($respuesta);
}

/*=============================================
ELIMINAR TRANSACCIÓN
=============================================*/
if (isset($_POST["eliminarTransaccion"])) {

    $respuesta = ControladorTransacciones::ctrEliminarTransaccion($_POST["eliminarTransaccion"]);

    echo $respuesta;
}
/*=============================================
OBTENER UN TIPO TRANSACCIÓN POR ID (AJAX para editar)
=============================================*/
if (isset($_POST["idTipoTransaccion"])) {
    require_once "../controladores/transacciones.controlador.php";
    require_once "../modelos/transacciones.modelo.php";

    $respuesta = ControladorTransacciones::ctrMostrarUnTipoTransaccion($_POST["idTipoTransaccion"]);
    echo json_encode($respuesta);
}

/*=============================================
ELIMINAR TIPO TRANSACCIÓN
=============================================*/
if (isset($_POST["eliminarTipoTransaccion"])) {
    require_once "../controladores/transacciones.controlador.php";
    require_once "../modelos/transacciones.modelo.php";

    $respuesta = ControladorTransacciones::ctrEliminarTipoTransaccion($_POST["eliminarTipoTransaccion"]);
    echo $respuesta;
}